tomland-1.3.3.3: Bidirectional TOML serialization

Copyright | (c) 2018-2022 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Stability | Stable
Portability | Portable
Safe Haskell | None
Language | Haskell2010

Toml.Parser.String

Description

Parsers for strings in TOML format, including basic and literal strings both singleline and multiline.

Synopsis

- textP :: Parser Text
- basicStringP :: Parser Text
- literalStringP :: Parser Text

# Documentation

textP :: Parser Text #

Parser for TOML text. Includes:

1. Basic single-line string.
2. Literal single-line string.
3. Basic multiline string.
4. Literal multiline string.

basicStringP :: Parser Text #

Parser for basic string in double quotes.

literalStringP :: Parser Text #

Parser for literal string in single quotes.